VERSION 4.00
Begin VB.Form frmACTCPC 
   Caption         =   "ACTCP Client (32-bit)"
   ClientHeight    =   3300
   ClientLeft      =   708
   ClientTop       =   2448
   ClientWidth     =   5880
   Height          =   3624
   Left            =   660
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3300
   ScaleWidth      =   5880
   Top             =   2172
   Width           =   5976
   Begin VB.TextBox txtClientMsgSent 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   660
      Left            =   2805
      MultiLine       =   -1  'True
      TabIndex        =   6
      Top             =   960
      Width           =   2950
   End
   Begin VB.TextBox txtClientMsgRecd 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   660
      Left            =   2805
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   7
      Top             =   1650
      Width           =   2950
   End
   Begin VB.TextBox txtClientServer 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   2805
      TabIndex        =   4
      Top             =   240
      Width           =   2950
   End
   Begin VB.TextBox txtClientService 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   2805
      TabIndex        =   5
      Top             =   600
      Width           =   2950
   End
   Begin VB.CommandButton cmdRunClient 
      Caption         =   "Run Client"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   2520
      TabIndex        =   8
      Top             =   2760
      Width           =   1335
   End
   Begin VB.Label lblClientServer 
      Caption         =   "Server Name / IP Number:"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   285
      Width           =   2655
   End
   Begin VB.Label lblClientService 
      Caption         =   "Service Name / Number:"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   645
      Width           =   2655
   End
   Begin VB.Label Label1 
      Caption         =   "Message Sent:"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   1005
      Width           =   2655
   End
   Begin VB.Label Label2 
      Caption         =   "Message Received:"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1680
      Width           =   2655
   End
End
Attribute VB_Name = "frmACTCPC"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Dim mgServer As String
Dim mgService As String
Private Sub cmdRunClient_Click()
  Dim mResult As String
  Dim mStream As Integer
  Dim mBytes As Integer
  Dim mData As String
  
  mResult = Space(1024)
  txtClientMsgRecd.Text = ""
  txtClientMsgRecd.Refresh
  
  ' Validate all user entries prior to running the Client.
  If ValidateClient = False Then
     Exit Sub
  End If

  mData = Trim(txtClientMsgSent.Text)
  
  'TCPSetTrace (True)
  
  ' This function is called by the client application to establish
  ' a connection with a server application. The return value is
  ' the number of the newly established stream or zero if the function
  ' fails.
  mStream = TCPConnect(mgServer, mgService)
  If mStream = 0 Then
    Call ShowError
    Exit Sub
  End If
  
  ' This function is called to pass data to the server application.
  ' The return value is the number of characters written or zero if
  ' the function fails.
  mBytes = TCPWrite(mStream, mData, Len(mData))
  If mBytes = 0 Then
    Call ShowError
    Exit Sub
  End If
  
  ' This function is called to read data received from the server
  ' application. The return value is the number of characters received
  ' or zero if the function fails.
  mBytes = TCPRead(mStream, mResult, 1024)
  txtClientMsgRecd.Text = Trim(mResult)
  If mBytes = 0 Then
    Call ShowError
    Exit Sub
  End If
  
  ' This function closes the connection.
  TCPClose (mStream)
    
End Sub


Private Function ValidateClient() As Boolean

  mgServer = Trim(txtClientServer.Text)
  mgService = Trim(txtClientService.Text)
  
  If mgServer = "" Then
     MsgBox "Please enter either a Server Name or Server IP Number."
     ValidateClient = False
     Exit Function
  End If
  
  If mgService = "" Then
     MsgBox "Please enter either a Service Name or Service Number."
     ValidateClient = False
     Exit Function
  End If
  
  If Trim(txtClientMsgSent.Text) = "" Then
     MsgBox "Please enter a message to send."
     ValidateClient = False
     Exit Function
  End If

  ValidateClient = True

End Function


Private Sub Form_Load()
  mgServer = Space(100)
  
  If TCPGetHostName(mgServer, 100) = False Then
    MsgBox "tcpgethostname failed"
    mgServer = ""
  End If
 
  txtClientServer = mgServer
  txtClientService.Text = "1600"
End Sub









